Skip to main content

How to set up and deploy a Ruby on Rails application on Platform.sh

Comments

1 comment

  • Larry

    Following these instructions, I get the following error from the bundle install command in the build hook.

          Executing build hook...
            W: /opt/ruby/2.6/lib/ruby/2.6.0/rubygems.rb:283:in `find_spec_for_exe': Could not find 'bundler' (2.0.2) required by your /app/Gemfile.lock. (Gem::GemNotFoundException)
            W: To update to the latest version installed on your system, run `bundle update --bundler`.
            W: To install the missing version, run `gem install bundler:2.0.2`
            W:      from /opt/ruby/2.6/lib/ruby/2.6.0/rubygems.rb:302:in `activate_bin_path'
            W:      from /opt/ruby/2.6/bin/bundle:23:in `<main>'
            W: /opt/ruby/2.6/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot load such file -- rake (LoadError)
            W:      from /opt/ruby/2.6/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
            W:      from /usr/bin/rake:25:in `<main>'
          
          E: Error building project: Step failed with status code 1.
    
        E: Error: Unable to build application, aborting.
    
    0

Please sign in to leave a comment.